> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all notes for workspace



## OpenAPI

````yaml /api-reference/data-api.json get /v2/transfers/enrichment/notes
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.29
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/transfers/enrichment/notes:
    get:
      tags:
        - Transfer Enrichments
      summary: List all notes for workspace
      operationId: listAllNotes
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTxNotesResponseDto'
components:
  schemas:
    ListTxNotesResponseDto:
      type: object
      properties:
        resources:
          type: array
          items:
            $ref: '#/components/schemas/TxNoteDto'
      required:
        - resources
    TxNoteDto:
      type: object
      properties:
        workspaceId:
          type: string
        transferId:
          type: string
        note:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - workspaceId
        - transferId
        - note
        - createdAt
        - updatedAt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.